Create Credential

Create Credential
Exchange provided 'userToken' with an augmented token.

This operation validates the provided 'userToken', such that: 1- It is a properly formatted JWT. 2- This token is not expired. 3- It has a valid signature. It then exchanges this token for one that includes the following changes: 1- Add an 'aud' claim using provided 'audience' parameter. 2- Add an optional pseudo-group to the 'groups' claim' if the 'userToken' maps to an account with EDIT privileges. 3- Expand the 'groups' claim list to its maximum.

Request
URI
POST
https://{api_host}/cloudapi/v1/vksCredentialExchange
COPY
Request Body
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns CredentialResponse of type(s) application/json;version=9.1.0
{
    "token": "string",
    "expirationTime": "2025-01-28T23:59:47.000+0000"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/x-www-form-urlencoded' -d 'userToken=string&namespaceId=string&audience=string' https://{api_host}/cloudapi/v1/vksCredentialExchange
                
Availability
Added in 9.0.0
Vks Credential Exchange Operations
POST
Create Credential